## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           rakudo
Version:        2024.09
Release:        %autorelease
Summary:        Raku on MoarVM, JVM, and JS
License:        Artistic-2.0
URL:            https://rakudo.org/
Source0:        https://github.com/rakudo/rakudo/releases/download/%{version}/rakudo-%{version}.tar.gz
Source1:        macros.raku

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  libatomic_ops-devel
BuildRequires:  libuv-devel
BuildRequires:  libtommath-devel
BuildRequires:  libffi-devel
BuildRequires:  mimalloc-devel

BuildRequires:  moarvm-devel >= %{version}
BuildRequires:  nqp >= %{version}

Requires:       moarvm >= %{version}
Requires:       nqp >= %{version}

%description
Rakudo is a Raku Programming Language compiler for the MoarVM, JVM and
Javascript virtual machines.

%prep
%autosetup -p1

%build
perl Configure.pl --prefix=%{_prefix} --backends=moar
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_mandir}/man1
pod2man --center="Rakudo Manual" --release="Raku" --section=1 --name=rakudo \
    docs/running.pod | gzip -c > %{buildroot}%{_mandir}/man1/rakudo.1.gz
ln -s rakudo.1.gz %{buildroot}%{_mandir}/man1/raku.1.gz

install -pDm755 tools/install-dist.raku %{buildroot}%{_bindir}/raku-install-dist

# Raku RPM macros
mkdir -p %{buildroot}%{_rpmconfigdir}/macros.d
install -pDm0644 %{SOURCE1} %{buildroot}%{_rpmconfigdir}/macros.d/macros.raku

# Avoid duplicates by creating symbolic links.
for i in %{buildroot}%{_bindir}/perl6* %{buildroot}%{_datadir}/perl6/runtime/perl6*; do
    dir=$(dirname $i)
    f=$(basename $i | sed 's/perl6/rakudo/')
    if [ -e $dir/$f ]; then
        ln -sf $f $i
    fi
done

# remove zero-length files
rm -r %{buildroot}%{_datadir}/perl6/core/precomp/
rm %{buildroot}%{_datadir}/perl6/core/repo.lock

%check
%ifarch i686
rm t/06-telemetry/01-basic.t
%endif
make test

%files
%license LICENSE
%doc README.md
%{_bindir}/perl6*
%{_bindir}/raku
%{_bindir}/raku-debug
%{_bindir}/rakudo*
%{_bindir}/raku-install-dist
%{_datadir}/perl6/
%{_mandir}/man1/raku.1*
%{_mandir}/man1/rakudo.1*
%{_rpmconfigdir}/macros.d/macros.raku

%changelog
## START: Generated by rpmautospec
* Sat Sep 28 2024 topazus <topazus@outlook.com> - 2024.09-1
- 2024.09

* Tue Aug 13 2024 Felix Wang <topazus@outlook.com> - 2024.07-1
- 2024.07

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2024.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Apr 26 2024 topazus <topazus@outlook.com> - 2024.04-1
- 2024.04

* Sat Mar 30 2024 topazus <topazus@outlook.com> - 2024.03-2
- fix test error on i686

* Fri Mar 29 2024 Packit <hello@packit.dev> - 2024.03-1
- [packit] 2024.03 upstream release
- Resolves: rhbz#2272239

* Sun Mar 03 2024 topazus <topazus@outlook.com> - 2024.02-2
- add version restriction of moarvm and nqp; enable all tests

* Sat Mar 02 2024 Packit <hello@packit.dev> - 2024.02-1
- [packit] 2024.02 upstream release
- Resolves rhbz#2267368

* Sun Jan 28 2024 topazus <topazus@outlook.com> - 2024.01-2
- fix tests error

* Sun Jan 28 2024 Packit <hello@packit.dev> - 2024.01-1
- [packit] 2024.01 upstream release
- Resolves rhbz#2260682

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2023.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2023.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Dec 23 2023 Packit <hello@packit.dev> - 2023.12-1
- [packit] 2023.12 upstream release

* Sat Nov 18 2023 topazus <topazus@outlook.com> - 2023.10-1
- update to 2023.10

* Wed Jul 26 2023 topazus <topazus@outlook.com> - 2023.06-1
- update to 2023.06

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2023.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jun 18 2023 topazus <topazus@outlook.com> - 2023.05-1
- update to 2023.05

* Sat Apr 29 2023 topazus <topazus@outlook.com> - 2023.04-2
- Fix failed tests

* Fri Apr 28 2023 topazus <topazus@outlook.com> - 2023.04-1
- Update to 2023.04

* Sat Feb 25 2023 topazus <topazus@outlook.com> - 2023.02-1
- update to 2023.02

* Fri Feb 24 2023 topazus <topazus@outlook.com> - 2022.12-3
- fix for Macro %% has illegal name (%%define)

* Wed Feb 22 2023 topazus <topazus@outlook.com> - 2022.12-2
- fix for testing

* Wed Feb 22 2023 topazus <topazus@outlook.com> - 2022.12-1
- update to 2022.12

* Thu Feb 16 2023 Tomas Hrcka <thrcka@redhat.com> - 0.2020.07-7
- Unretirement request: https://pagure.io/releng/issue/11265

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2020.07-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 24 2022 Petr Písař <ppisar@redhat.com> - 0.2020.07-5
- Rebuild with disabled package-notes in moarvm

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2020.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2020.07-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2020.07-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Aug 12 2020 Pokorra, Gerd <pokorra@uni-siegen.de> - 0.2020.07-1
- update to 2020.07

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2020.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Feb 25 2020 Pokorra, Gerd <pokorra@uni-siegen.de> - 0.2020.02-1
- update to 2020.02

* Fri Jan 31 2020 Pokorra, Gerd <pokorra@uni-siegen.de> - 0.2020.01-1
- update to 2020.01

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2019.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Dec 11 2019 Pokorra, Gerd <pokorra@uni-siegen.de> - 0.2019.11-5
- add link perl6-m in bindir

* Mon Dec 02 2019 Pokorra, Gerd <pokorra@uni-siegen.de> - 0.2019.11-4
- place mod_inst.pl to datadir/perl6

* Mon Dec 02 2019 Pokorra, Gerd <pokorra@uni-siegen.de> - 0.2019.11-3
- add raku-debug link

* Sat Nov 30 2019 Pokorra, Gerd <pokorra@uni-siegen.de> - 0.2019.11-2
- remove a test for all architectures

* Sat Nov 30 2019 Pokorra, Gerd <pokorra@uni-siegen.de> - 0.2019.11-1
- update to 2019.11

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2019.03-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 13 2019 Pokorra, Gerd <pokorra@uni-siegen.de> - 0.2019.03-6
- add patch M_LIBPATH_to_NQP_LIBPATH.patch; fix perl6-valgrind-m libpath
  problem

* Sun May 19 2019 gerd <gp@zimt.uni-siegen.de> - 0.2019.03-5
- add new sources

* Sun May 19 2019 gerd <gp@zimt.uni-siegen.de> - 0.2019.03-4
- add new sources

* Sun May 19 2019 gerd <gp@zimt.uni-siegen.de> - 0.2019.03-3
- remove the test t/04-nativecall/06-struct.t to make the build more stable

* Tue Mar 19 2019 Pokorra, Gerd <pokorra@uni-siegen.de> - 0.2019.03-2
- correct date in changelog

* Tue Mar 19 2019 Pokorra, Gerd <pokorra@uni-siegen.de> - 0.2019.03-1
- update to 2019.03

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2018.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Nov 11 2018 Pokorra, Gerd <pokorra@uni-siegen.de> - 0.2018.10-2
- remove a test

* Mon Oct 29 2018 Pokorra, Gerd <pokorra@uni-siegen.de> - 0.2018.10-1
- update to 2018.10

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2018.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 07 2018 gerd <gp@zimt.uni-siegen.de> - 0.2018.05-1
- update to 2018.05

* Mon Apr 30 2018 gerd <gp@zimt.uni-siegen.de> - 0.2018.04.1-1
- update to 2018.04.1

* Wed Apr 25 2018 gerd <gp@zimt.uni-siegen.de> - 0.2018.04-3
- include all tests

* Wed Apr 25 2018 gerd <gp@zimt.uni-siegen.de> - 0.2018.04-2
- improve

* Wed Apr 25 2018 gerd <gp@zimt.uni-siegen.de> - 0.2018.04-1
- update to 2081.04

* Sat Apr 07 2018 gerd <gp@zimt.uni-siegen.de> - 0.2018.03-4
- remove a test that fails on ppc64

* Sat Apr 07 2018 gerd <gp@zimt.uni-siegen.de> - 0.2018.03-3
- remove a test that fails

* Sat Apr 07 2018 gerd <gp@zimt.uni-siegen.de> - 0.2018.03-2
- correct source file

* Sat Apr 07 2018 gerd <gp@zimt.uni-siegen.de> - 0.2018.03-1
- remove version error

* Sat Apr 07 2018 gerd <gp@zimt.uni-siegen.de> - 0.2018.03.1-1
- update to 2018.03

* Fri Feb 23 2018 gerd <gp@zimt.uni-siegen.de> - 0.2018.02.1-1
- update to 2018.02.1

* Thu Feb 22 2018 gerd <gp@zimt.uni-siegen.de> - 0.2018.02-1
- update to 2018.02

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2017.08-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Sep 15 2017 gerd <gp@zimt.uni-siegen.de> - 0.2017.08-3
- rebuild on top of rebuilds from nqp and moarvm

* Mon Aug 28 2017 gerd <gp@zimt.uni-siegen.de> - 0.2017.08-2
- rebuild with use of --libdir option according on top of changed nqp

* Tue Aug 22 2017 gerd <gp@zimt.uni-siegen.de> - 0.2017.08-1
- update to 2017.08

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2017.06-6
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2017.06-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 12 2017 Petr Písař <ppisar@redhat.com> - 0.2017.06-4
- perl dependency renamed to perl-interpreter <https://fedoraproject.org/wi
  ki/Changes/perl_Package_to_Install_Core_Modules>

* Mon Jun 19 2017 gerd <gp@zimt.uni-siegen.de> - 0.2017.06-3
- sometimes it do not build with that test

* Mon Jun 19 2017 gerd <gp@zimt.uni-siegen.de> - 0.2017.06-2
- rebuild with changed macros.perl6 source file

* Mon Jun 19 2017 gerd <gp@zimt.uni-siegen.de> - 0.2017.06-1
- install file tools/install-dist.pl; update to 2017.06

* Wed Jun 07 2017 gerd <gp@zimt.uni-siegen.de> - 0.2017.04.2-7
- add a RPM build macro file

* Wed May 24 2017 gerd <gp@zimt.uni-siegen.de> - 0.2017.04.2-6
- comment out removing of test

* Wed May 24 2017 gerd <gp@zimt.uni-siegen.de> - 0.2017.04.2-5
- change desktop file scoures

* Mon May 08 2017 gerd <gp@zimt.uni-siegen.de> - 0.2017.04.2-4
- rebuild with changed moarvm build and new nqp rebuild

* Mon May 01 2017 gerd <gp@zimt.uni-siegen.de> - 0.2017.04.2-3
- remove failing test

* Mon May 01 2017 gerd <gp@zimt.uni-siegen.de> - 0.2017.04.2-2
- add missing buildrequires

* Mon May 01 2017 gerd <gp@zimt.uni-siegen.de> - 0.2017.04.2-1
- update to 2017.04

* Wed Mar 29 2017 Petr Písař <ppisar@redhat.com> - 0.2017.01-4
- Fix compilation units relocation to libdir

* Tue Mar 14 2017 gerd <gp@zimt.uni-siegen.de> - 0.2017.01-3
- simple rebuild

* Fri Mar 10 2017 gerd <gp@zimt.uni-siegen.de> - 0.2017.01-2
- add initial files

* Fri Aug 27 2010 Gerd Pokorra <gz016@vgerd1.zimt.uni-siegen.de> - 0.0.2010.08_2.7.0-1
- update to current source and according parrot

* Mon Aug 16 2010 gerd <gp@zimt.uni-siegen.de> - 0.0.2010.07_2.6.0-3
- update to new source from radudo star release

* Thu Jul 29 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2010.07_2.6.0-2
- dist-git conversion

* Fri Jul 23 2010 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2010.07_2.6.0-1
- update to release of this month

* Fri Jun 18 2010 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2010.06_2.5.0-1
- update to release of this month (2010.06)

* Fri May 21 2010 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2010.05_2.4.0-1
- update to new upstream 2010.05

* Thu Apr 22 2010 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2010.04_2.3.0-1
- Update to the new Rakudo release 2010.04

* Fri Apr 02 2010 Caolan McNamara <caolanm@fedoraproject.org> - 0.0.2010.03_2.2.0-2
- rebuild for icu 4.4

* Thu Mar 18 2010 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2010.03_2.2.0-1
- update to 0.0.2010.03

* Fri Feb 19 2010 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2010.02_2.1.1-1
- Update to the source 2010.02 on parrot 2.1.1

* Wed Jan 27 2010 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2010.01_2.0.0-3
- no special exclude of ppc64 are needed any more

* Tue Jan 26 2010 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2010.01_2.0.0-2
- update to revision 2, so that the revision is not less in the devel
  branch

* Sat Jan 23 2010 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2010.01_2.0.0-1
- update to rakudo 2010-01 on parrot 2.0.0

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 0.0.2009.11_1.8.0-2
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Fri Nov 20 2009 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2009.11_1.8.0-1
- update to rakudo 2009-11 on parrot 1.8.0

* Mon Oct 26 2009 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2009.10_1.7.0-1
- build rakudo 2009-10 on parrot 1.7.0

* Fri Sep 18 2009 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2009.09_1.6.0-2
- modified update to current rakudo release

* Thu Sep 17 2009 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2009.09_1.6.0-1
- update to new rakudo release

* Sat Aug 22 2009 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2009.08_1.5.0-3
- patch file added

* Sat Aug 22 2009 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2009.08_1.5.0-2
- add a patch to add a path to the @*INC array

* Sat Aug 22 2009 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2009.08_1.5.0-1
- update to rakudo 2009-08 on parrot 1.5.0

* Wed Aug 12 2009 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2009.07_1.4.0-5
- modified source to add a path to the @*INC array

* Sun Aug 09 2009 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2009.07_1.4.0-4
- add new source; shared libraries will now be stripped

* Thu Aug 06 2009 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2009.07_1.4.0-3
- add man page

* Wed Aug 05 2009 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2009.07_1.4.0-2
- Fix versioning - use 'ExcludeArch:ppc' for now - Provide full SourceURLs
  - strip binary ??? - first .spec file created

* Wed Aug 05 2009 Gerd Pokorra <gerd@fedoraproject.org> - 0.0.2009.07_1.4.0-1
- initial the Rakudo package for Fedora 12 again

* Mon Aug 03 2009 Gerd Pokorra <gerd@fedoraproject.org> - 2009.07-1
- add initial package
## END: Generated by rpmautospec
